> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a budget

> Creates a budget for a given ```accountId```.



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json post /budgets
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /budgets:
    post:
      tags:
        - Budgets
      summary: Create a budget
      description: Creates a budget for a given ```accountId```.
      operationId: create
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                parentId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  maxLength: 36
                  description: The ID of the budget to work with.
                  example: 775596ae-2624-40af-a9dc-9756110a4a03
                boxId:
                  type:
                    - string
                  description: The ID of the box to work with.
                  example: a43231c221
                name:
                  type:
                    - string
                  maxLength: 75
                  description: The name of the budget.
                  example: Team Party
                features:
                  type:
                    - array
                  items:
                    type:
                      - string
                    enum:
                      - payments
                      - peopleCards
                      - budgetCards
                    description: The feature in a budget.
                currencies:
                  type:
                    - array
                  items:
                    type:
                      - string
                    enum:
                      - AED
                      - AFN
                      - ALL
                      - AMD
                      - ANG
                      - AOA
                      - ARS
                      - AUD
                      - AWG
                      - AZN
                      - BAM
                      - BBD
                      - BDT
                      - BHD
                      - BIF
                      - BMD
                      - BND
                      - BOB
                      - BOV
                      - BRL
                      - BSD
                      - BTN
                      - BWP
                      - BYN
                      - BZD
                      - CAD
                      - CDF
                      - CHF
                      - CLP
                      - CNY
                      - COP
                      - CRC
                      - CUC
                      - CUP
                      - CVE
                      - CZK
                      - DJF
                      - DKK
                      - DOP
                      - DZD
                      - EGP
                      - ERN
                      - ETB
                      - EUR
                      - FJD
                      - FKP
                      - GBP
                      - GEL
                      - GGP
                      - GHS
                      - GIP
                      - GMD
                      - GNF
                      - GTQ
                      - GYD
                      - HKD
                      - HNL
                      - HRK
                      - HTG
                      - HUF
                      - IDR
                      - ILS
                      - INR
                      - IQD
                      - IRR
                      - ISK
                      - JMD
                      - JOD
                      - JPY
                      - KES
                      - KGS
                      - KHR
                      - KMF
                      - KPW
                      - KRW
                      - KWD
                      - KYD
                      - KZT
                      - LAK
                      - LBP
                      - LKR
                      - LRD
                      - LSL
                      - LTL
                      - LVL
                      - LYD
                      - MAD
                      - MDL
                      - MGA
                      - MKD
                      - MMK
                      - MNT
                      - MOP
                      - MUR
                      - MVR
                      - MWK
                      - MXN
                      - MYR
                      - MZN
                      - NAD
                      - NGN
                      - NIO
                      - NOK
                      - NPR
                      - NZD
                      - OMR
                      - PAB
                      - PEN
                      - PGK
                      - PHP
                      - PKR
                      - PLN
                      - PYG
                      - QAR
                      - RON
                      - RSD
                      - RUB
                      - RWF
                      - SAR
                      - SBD
                      - SCR
                      - SEK
                      - SGD
                      - SHN
                      - SLL
                      - SOS
                      - SRD
                      - SSP
                      - STN
                      - SYP
                      - SZL
                      - THB
                      - TJS
                      - TMT
                      - TND
                      - TOP
                      - TRY
                      - TTD
                      - TWD
                      - TZS
                      - UAH
                      - UGX
                      - USD
                      - UYU
                      - UZS
                      - VND
                      - VUV
                      - WST
                      - XAF
                      - XAG
                      - XAU
                      - XCD
                      - XOF
                      - XPD
                      - XPF
                      - XPT
                      - YER
                      - ZAR
                      - ZMK
                      - ZMW
                      - ZWD
                    example: USD
                type:
                  type:
                    - string
                    - 'null'
                  enum:
                    - accountBalance
                    - forwardDeposits
                    - shared
                    - individual
                  description: The budget type.
                status:
                  type:
                    - string
                  enum:
                    - active
                    - archived
                    - hidden
                personaId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  maxLength: 36
                  description: >-
                    The ID of the persona that must be assigned to the budget.
                    Required only for```individual``` budgets.
              required:
                - features
                - type
              example:
                parentId: 775596ae-2624-40af-a9dc-9756110a4a03
                boxId: a43231c221
                name: Team Party
                features:
                  - payments
                currencies:
                  - USD
                type: accountBalance
                status: active
                personaId: 0387819c-a33e-454c-ad84-570bf53cd75f
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    maxLength: 36
                    description: The ID of the budget to work with.
                    example: 775596ae-2624-40af-a9dc-9756110a4a03
                  boxId:
                    type:
                      - string
                      - 'null'
                    description: The ID of the box to work with.
                    example: a43231c221
                  name:
                    type:
                      - string
                    maxLength: 256
                    description: The name of the budget.
                    example: Team Party
                  accountId:
                    description: The ID of the account to work with.
                    type:
                      - string
                    example: F50091
                  parentId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    maxLength: 36
                    description: The ID of the budget to work with.
                    example: 775596ae-2624-40af-a9dc-9756110a4a03
                  feature:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        BudgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        payments:
                          type:
                            - boolean
                          description: >-
                            Whether or not the ```payments``` feature is enabled
                            for the budget.
                        budgetCards:
                          type:
                            - boolean
                          description: >-
                            Whether or not the ```budgetCards``` feature is
                            enabled for the budget.
                        peopleCards:
                          type:
                            - boolean
                          description: >-
                            Whether or not the ```peopleCards``` feature is
                            enabled for the budget.
                        forwardDeposits:
                          type:
                            - boolean
                          description: >-
                            Whether or not the ```forwardDeposits``` feature is
                            enabled for the budget.
                        lowBalanceThreshold:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The threshold amount that triggers low balance
                            notifications.
                        lowBalanceCurrencyCode:
                          type:
                            - string
                            - 'null'
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - ANG
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BGN
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHF
                            - CLP
                            - CNY
                            - COP
                            - CRC
                            - CUC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GGP
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HRK
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LTL
                            - LVL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SEK
                            - SGD
                            - SHN
                            - SLL
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - UYU
                            - UZS
                            - VND
                            - VUV
                            - WST
                            - XAF
                            - XAG
                            - XAU
                            - XCD
                            - XOF
                            - XPD
                            - XPF
                            - XPT
                            - YER
                            - ZAR
                            - ZMK
                            - ZMW
                            - ZWD
                          description: >-
                            The ISO currency code for the low balance threshold,
                            required if ```lowBalanceThreshold``` is provided.
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - payments
                        - budgetCards
                        - peopleCards
                  currency:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                        boxCurrencyId:
                          type:
                            - number
                            - 'null'
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        BudgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        currencyCode:
                          description: The currency code, in ISO-4217 format.
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          example: USD
                        local:
                          type:
                            - string
                            - 'null'
                          enum:
                            - unique
                            - shared
                            - any
                        international:
                          type:
                            - string
                            - 'null'
                          enum:
                            - unique
                            - shared
                            - any
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - budgetId
                        - currencyCode
                  balance:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                        currencyCode:
                          description: The currency code, in ISO-4217 format.
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          example: USD
                        availableBalance:
                          type:
                            - number
                          description: The available balance of a box.
                          example: 10
                        lastUpdatedSequentialId:
                          type:
                            - number
                            - 'null'
                        currency:
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          description: The currency code, in ISO-4217 format.
                          example: USD
                          deprecated: true
                        BudgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        ledgerBalance:
                          type:
                            - number
                          description: The ledger balance of a box.
                          example: 50
                        pendingBalance:
                          type:
                            - number
                          description: The pending balance of a box.
                          example: 40
                        allocatedBalance:
                          type:
                            - number
                          description: The allocated balance of a box.
                          example: 10
                        ledgerAndAllocatedBalance:
                          type:
                            - number
                          description: The sum of the ledger and the allocated balance.
                          example: 60
                        activeCurrencyOnBudget:
                          type:
                            - boolean
                          description: Whether or not the currency is active on the budget.
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - currencyCode
                        - availableBalance
                  totalBalance:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                        currencyCode:
                          description: The currency code, in ISO-4217 format.
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          example: USD
                        availableBalance:
                          type:
                            - number
                          description: The available balance of a box.
                          example: 10
                        lastUpdatedSequentialId:
                          type:
                            - number
                            - 'null'
                        currency:
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          description: The currency code, in ISO-4217 format.
                          example: USD
                          deprecated: true
                        BudgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        ledgerBalance:
                          type:
                            - number
                          description: The ledger balance of a box.
                          example: 50
                        pendingBalance:
                          type:
                            - number
                          description: The pending balance of a box.
                          example: 40
                        allocatedBalance:
                          type:
                            - number
                          description: The allocated balance of a box.
                          example: 10
                        ledgerAndAllocatedBalance:
                          type:
                            - number
                          description: The sum of the ledger and the allocated balance.
                          example: 60
                        activeCurrencyOnBudget:
                          type:
                            - boolean
                          description: Whether or not the currency is active on the budget.
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - currencyCode
                        - availableBalance
                  children:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                        currencyCode:
                          description: The currency code, in ISO-4217 format.
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          example: USD
                        availableBalance:
                          type:
                            - number
                          description: The available balance of a box.
                          example: 10
                        lastUpdatedSequentialId:
                          type:
                            - number
                            - 'null'
                        currency:
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          description: The currency code, in ISO-4217 format.
                          example: USD
                          deprecated: true
                        BudgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        ledgerBalance:
                          type:
                            - number
                          description: The ledger balance of a box.
                          example: 50
                        pendingBalance:
                          type:
                            - number
                          description: The pending balance of a box.
                          example: 40
                        allocatedBalance:
                          type:
                            - number
                          description: The allocated balance of a box.
                          example: 10
                        ledgerAndAllocatedBalance:
                          type:
                            - number
                          description: The sum of the ledger and the allocated balance.
                          example: 60
                        activeCurrencyOnBudget:
                          type:
                            - boolean
                          description: Whether or not the currency is active on the budget.
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - currencyCode
                        - availableBalance
                  details:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        currency:
                          description: The currency code, in ISO-4217 format.
                          type:
                            - string
                          pattern: ^[A-Z]{3}$
                          example: USD
                        sortCode:
                          type:
                            - string
                            - 'null'
                          maxLength: 32
                          description: The sort code of the bank account.
                          example: 12-34-56
                        accountNumber:
                          type:
                            - string
                            - 'null'
                          maxLength: 32
                          description: The number for the bank account.
                          example: '12345678'
                        ibans:
                          type:
                            - array
                          items:
                            type:
                              - object
                            properties:
                              iban:
                                type:
                                  - string
                                  - 'null'
                                example: GB26SPPV23188497371875
                              bic:
                                type:
                                  - string
                                  - 'null'
                                example: BARCGB22
                            required:
                              - iban
                              - bic
                        accountName:
                          type:
                            - string
                            - 'null'
                          description: The name of the bank account.
                          example: Equals Money
                        bankName:
                          type:
                            - string
                            - 'null'
                          description: The name of the bank.
                          example: SPECTRUM PAYMENT SERVICES
                        bankAddress:
                          type:
                            - string
                            - 'null'
                          description: The address of the bank.
                          example: >-
                            Vintners Place, 68 Upper Thames St, London, EC4V
                            3BJ, United Kingdom
                        balanceReference:
                          type:
                            - string
                            - 'null'
                          description: Balance reference.
                          example: Balance reference
                      required:
                        - currency
                        - sortCode
                        - accountNumber
                        - ibans
                    deprecated: true
                    description: >-
                      Legacy. The box bank account details, included when
                      `details` is passed to the `include` query parameter.
                      Prefer `settlementDetails` instead.
                  settlementDetails:
                    type:
                      - object
                      - 'null'
                    properties:
                      currencyDetails:
                        type:
                          - array
                          - 'null'
                        items:
                          type:
                            - object
                          properties:
                            currencyCode:
                              description: The currency code, in ISO-4217 format.
                              type:
                                - string
                              pattern: ^[A-Z]{3}$
                              example: USD
                            local:
                              type:
                                - object
                              properties:
                                accountIdentifier:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The account identifier. This represents an
                                    account number, for example an account
                                    number for FPS in the UK or an IBAN for SEPA
                                    in Europe.
                                  example: '31510604'
                                bankIdentifier:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The bank identifier. This identifies the
                                    bank itself, for example a sort code in the
                                    UK or a routing number in the US.
                                  example: 10-00-00
                                payeeName:
                                  type:
                                    - string
                                    - 'null'
                                  description: The name of the payee.
                                  example: ACME
                                bankName:
                                  type:
                                    - string
                                    - 'null'
                                  description: The name of the bank.
                                  example: Brilliant Bank
                                bankAddress:
                                  type:
                                    - object
                                  properties:
                                    addressLine1:
                                      type:
                                        - string
                                        - 'null'
                                      description: The first line of the bank's address.
                                      example: 41 Middle Street
                                    addressLine2:
                                      type:
                                        - string
                                        - 'null'
                                      description: The second line of the bank's address.
                                    addressLine3:
                                      type:
                                        - string
                                        - 'null'
                                      description: The third line of the bank's address.
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank's city.
                                      example: Enfield
                                    postcode:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank's postal or ZIP code.
                                      example: EN1 3JY
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank's country.
                                      example: United Kingdom
                                  required:
                                    - addressLine1
                                    - addressLine2
                                    - addressLine3
                                    - city
                                    - postcode
                                    - country
                                  description: Details about the bank's address.
                              required:
                                - accountIdentifier
                                - bankIdentifier
                                - payeeName
                                - bankName
                                - bankAddress
                              description: Details about the bank account.
                            international:
                              type:
                                - object
                              properties:
                                accountIdentifier:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The account identifier. This represents an
                                    account number, for example an account
                                    number for FPS in the UK or an IBAN for SEPA
                                    in Europe.
                                  example: '31510604'
                                bankIdentifier:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The bank identifier. This identifies the
                                    bank itself, for example a sort code in the
                                    UK or a routing number in the US.
                                  example: 10-00-00
                                payeeName:
                                  type:
                                    - string
                                    - 'null'
                                  description: The name of the payee.
                                  example: ACME
                                bankName:
                                  type:
                                    - string
                                    - 'null'
                                  description: The name of the bank.
                                  example: Brilliant Bank
                                bankAddress:
                                  type:
                                    - object
                                  properties:
                                    addressLine1:
                                      type:
                                        - string
                                        - 'null'
                                      description: The first line of the bank's address.
                                      example: 41 Middle Street
                                    addressLine2:
                                      type:
                                        - string
                                        - 'null'
                                      description: The second line of the bank's address.
                                    addressLine3:
                                      type:
                                        - string
                                        - 'null'
                                      description: The third line of the bank's address.
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank's city.
                                      example: Enfield
                                    postcode:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank's postal or ZIP code.
                                      example: EN1 3JY
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank's country.
                                      example: United Kingdom
                                  required:
                                    - addressLine1
                                    - addressLine2
                                    - addressLine3
                                    - city
                                    - postcode
                                    - country
                                  description: Details about the bank's address.
                              required:
                                - accountIdentifier
                                - bankIdentifier
                                - payeeName
                                - bankName
                                - bankAddress
                              description: Details about the bank account.
                      balanceReference:
                        type:
                          - string
                          - 'null'
                        description: The balance reference.
                        example: Balance reference
                    required:
                      - currencyDetails
                      - balanceReference
                    description: The settlement details.
                  individualBudgetHolder:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                        maxLength: 36
                        description: The Id of the IndividualBalanceHolder.
                        example: b489ea2c-0dd1-4fb1-b345-de5a596a5527
                      budgetId:
                        type:
                          - string
                        format: uuid
                        maxLength: 36
                        description: The ID of the budget to work with.
                        example: 775596ae-2624-40af-a9dc-9756110a4a03
                      personaId:
                        description: The ID of the person to work with.
                        type:
                          - string
                        format: uuid
                        maxLength: 36
                        example: 775596ae-2624-40af-a9dc-9756110a4a04
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                    required:
                      - budgetId
                      - personaId
                  priority:
                    type:
                      - number
                    description: >-
                      Defines the priority of a budget, where ```1``` is the
                      highest priority.
                    example: 1
                  level:
                    type:
                      - number
                    description: >-
                      Defines the hierarchy level of a budget, where ```0``` is
                      the highest level (```accountBalance```).
                    example: 1
                  type:
                    type:
                      - string
                    enum:
                      - accountBalance
                      - forwardDeposits
                      - shared
                      - individual
                    description: The budget type.
                  status:
                    type:
                      - string
                    enum:
                      - active
                      - archived
                      - hidden
                  allowCurrencyAlignment:
                    type:
                      - boolean
                    description: >-
                      Whether or not to enable currency alignment on a budget.
                      Currency alignment allows a cardholder to pay in a
                      currency that is different from the budget's currency,
                      with Equals Money doing the conversion.
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                required:
                  - id
                  - name
                  - accountId
                example:
                  id: 775596ae-2624-40af-a9dc-9756110a4a03
                  boxId: a43231c221
                  name: Team Party
                  accountId: F50091
                  parentId: 775596ae-2624-40af-a9dc-9756110a4a03
                  feature:
                    - id: string
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      BudgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      payments: true
                      budgetCards: true
                      peopleCards: true
                      forwardDeposits: true
                      lowBalanceThreshold: 0
                      lowBalanceCurrencyCode: AED
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  currency:
                    - id: string
                      boxCurrencyId: 0
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      BudgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      currencyCode: USD
                      local: unique
                      international: unique
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  balance:
                    - id: string
                      currencyCode: USD
                      availableBalance: 10
                      lastUpdatedSequentialId: 0
                      currency: USD
                      BudgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      ledgerBalance: 50
                      pendingBalance: 40
                      allocatedBalance: 10
                      ledgerAndAllocatedBalance: 60
                      activeCurrencyOnBudget: true
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  totalBalance:
                    - id: string
                      currencyCode: USD
                      availableBalance: 10
                      lastUpdatedSequentialId: 0
                      currency: USD
                      BudgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      ledgerBalance: 50
                      pendingBalance: 40
                      allocatedBalance: 10
                      ledgerAndAllocatedBalance: 60
                      activeCurrencyOnBudget: true
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  children:
                    - id: string
                      currencyCode: USD
                      availableBalance: 10
                      lastUpdatedSequentialId: 0
                      currency: USD
                      BudgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      ledgerBalance: 50
                      pendingBalance: 40
                      allocatedBalance: 10
                      ledgerAndAllocatedBalance: 60
                      activeCurrencyOnBudget: true
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  details:
                    - currency: USD
                      sortCode: 12-34-56
                      accountNumber: '12345678'
                      ibans:
                        - iban: GB26SPPV23188497371875
                          bic: BARCGB22
                      accountName: Equals Money
                      bankName: SPECTRUM PAYMENT SERVICES
                      bankAddress: >-
                        Vintners Place, 68 Upper Thames St, London, EC4V 3BJ,
                        United Kingdom
                      balanceReference: Balance reference
                  settlementDetails:
                    currencyDetails:
                      - currencyCode: USD
                        local:
                          accountIdentifier: '31510604'
                          bankIdentifier: 10-00-00
                          payeeName: ACME
                          bankName: Brilliant Bank
                          bankAddress:
                            addressLine1: 41 Middle Street
                            addressLine2: string
                            addressLine3: string
                            city: Enfield
                            postcode: EN1 3JY
                            country: United Kingdom
                        international:
                          accountIdentifier: '31510604'
                          bankIdentifier: 10-00-00
                          payeeName: ACME
                          bankName: Brilliant Bank
                          bankAddress:
                            addressLine1: 41 Middle Street
                            addressLine2: string
                            addressLine3: string
                            city: Enfield
                            postcode: EN1 3JY
                            country: United Kingdom
                    balanceReference: Balance reference
                  individualBudgetHolder:
                    id: b489ea2c-0dd1-4fb1-b345-de5a596a5527
                    budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                    personaId: 775596ae-2624-40af-a9dc-9756110a4a04
                    createdAt: '2019-08-24T14:15:22Z'
                  priority: 1
                  level: 1
                  type: accountBalance
                  status: active
                  allowCurrencyAlignment: true
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - budgets:create:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/budgets?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
              "boxId": "a43231c221",
              "name": "Team Party",
              "features": [
                "payments"
              ],
              "currencies": [
                "USD"
              ],
              "type": "accountBalance",
              "status": "active",
              "personaId": "0387819c-a33e-454c-ad84-570bf53cd75f"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````